Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569515 - All network bridges switch to br-ex by default
Summary: All network bridges switch to br-ex by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z2
: 13.0 (Queens)
Assignee: Dan Sneddon
QA Contact: bjacot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 12:23 UTC by Lukas Bezdicka
Modified: 2018-12-24 11:40 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.4-3.el7ost
Doc Type: Bug Fix
Doc Text:
The `single-nic-vlans` network templates in TripleO Heat Templates in OSP 13 contained an incorrect bridge name for Ceph nodes. If the single-nic-vlans templates were used in a previous deployment, upgrades to OSP 13 failed on the Ceph nodes. The bridge name `br-storage` is now used on Ceph nodes in the single-nic-vlans templates, which matches the bridge name from previous versions. Upgrades to OSP 13 on environments using the single-nic-vlans templates are now successful on Ceph nodes.
Clone Of:
Environment:
Last Closed: 2018-08-29 16:35:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1766748 0 None None None 2018-04-25 17:23:33 UTC
OpenStack gerrit 564951 0 None stable/queens: MERGED tripleo-heat-templates: Revert Ceph bridge names to previous values (I68b6e674d6aa86aa7d60efa3eb7b3cb874171e63) 2018-07-19 01:41:14 UTC
Red Hat Product Errata RHBA-2018:2574 0 None None None 2018-08-29 16:36:16 UTC

Description Lukas Bezdicka 2018-04-19 12:23:03 UTC
Description of problem:
I'm loosing connectivity to ObjectStorage and Ceph nodes because of:
https://github.com/openstack/tripleo-heat-templates/commit/1dec175241c7e5f3c85dbe0cb1d38909e1d52308
br-storage gets renamed to br-ex

This change will break all deployments that used default templates.

Comment 1 Bob Fournier 2018-04-24 23:31:10 UTC
Lukas - just trying to understand the issue.  Can you indicate which default templates are being used?  Also which version are you upgrading from? None of the templates define br_storage AFAIK.  In fact we had a recent bug in OSP-10 in which the bridge_name in ceph_storage.yaml was not defined and it defaulted to null - https://bugzilla.redhat.com/show_bug.cgi?id=1562810

Also its not necessary to define a bridge on ceph nodes.  We have a BZ to change the default storage templates to remove the bridge. 
https://bugzilla.redhat.com/show_bug.cgi?id=1569263

It is true that in OSP-12+ "bridge_name" now defaults to br_ex in all cases (not just for controller and compute).  The ceph nic_config files would have to explicitly define the name of the bridge and not use "bridge_name" (if a bridge was used although its not necessary).

Comment 2 Dan Sneddon 2018-04-24 23:58:48 UTC
(In reply to Bob Fournier from comment #1)
> Lukas - just trying to understand the issue.  Can you indicate which default
> templates are being used?  Also which version are you upgrading from? None
> of the templates define br_storage AFAIK. 

The single-nic-vlans templates had "br-storage" for the Ceph nodes. Now that the roles have been unified in one role.role.j2.yaml file, the Ceph nodes have the same bridge_name token for the name of the bridge, which is replaced with "br-ex" by default.

The single-nic-vlans templates aren't considered a production template (really it's intended for VM deployments or POC that we don't really expect to be upraded). I can submit a fix that checks for the Ceph role, but a workaround is to use a copy of the original NIC configs instead of using the new NIC configs rendered by Jinja when upgrading.

Comment 3 Bob Fournier 2018-05-01 12:43:42 UTC
Fix in progress. Reducing severity as there is a workaround.

Comment 16 bjacot 2018-08-07 17:45:40 UTC
installed OSP13 

cat /etc/yum.repos.d/latest-installed 
13   -p 2018-07-30.2

Verified gerrit changes has been merged in with this installed release.  Please reopen if this issue still exists.

Comment 17 Joanne O'Flynn 2018-08-15 07:56:19 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 19 errata-xmlrpc 2018-08-29 16:35:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2574


Note You need to log in before you can comment on or make changes to this bug.